/// <reference types="react" />
import { IProstoreSsrContext } from '@proscom/prostore';
export declare const ProstoreSsrContext: import("react").Context<ProstoreSsrManager>;
export declare type IStates = {
    [name: string]: any;
};
export interface IProstoreSsrManagerParams {
    isServer?: boolean;
    initialStates?: IStates;
}
export declare class ProstoreSsrManager implements IProstoreSsrContext {
    isServer: boolean;
    states: IStates;
    promises: Set<Promise<any>>;
    disabled: boolean;
    constructor({ isServer, initialStates }: IProstoreSsrManagerParams);
    registerPromise(promise: Promise<any>): void;
    hasPromises(): boolean;
    waitForCurrentPromises(): Promise<any>;
    getState(key: string): any;
    setState(key: string, value: any): void;
    getStates(): IStates;
    setDisabled(value: boolean): void;
}
