"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
/**
 * Подписка на обзервабл
 */
function useObservable(obs$, setState) {
    react_1.useEffect(function () {
        var sub = obs$.subscribe(function (state) {
            setState(state);
        });
        return function () {
            sub.unsubscribe();
        };
    }, [obs$, setState]);
}
exports.useObservable = useObservable;
/**
 * Подписка на обзервабл с локальным стейтом
 */
function useObservableState(obs$, initialState) {
    if (initialState === void 0) { initialState = null; }
    var _a = react_1.useState(initialState), state = _a[0], setState = _a[1];
    useObservable(obs$, setState);
    return state;
}
exports.useObservableState = useObservableState;
/**
 * Подписка на BehaviorSubject
 */
function useSubject(sub$) {
    return useObservableState(sub$, sub$.value);
}
exports.useSubject = useSubject;
//# sourceMappingURL=useObservable.js.map